<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pearson Web Component</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width" />

  <META HTTP-EQUIV='PRAGMA' CONTENT='NO-CACHE'>
  <META HTTP-EQUIV='CACHE-CONTROL' CONTENT='NO-CACHE'>

  <link rel="stylesheet" href="https://pearsonux.sfo2.cdn.digitaloceanspaces.com/css/gravity.css"/>
  <script type="text/javascript">
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
    } else {
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
    }
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>

  <script src="js/dist/pearson-button-toggle.js"></script>

  </head>

  <body>
    <pearson-button-toggle label="Toggle title" stage="2" textcolor="black" backgroundcolor="#c7c7c7" selectedcolor="#DA0474" selectedtextcolor="lightgrey">
        <button>Value 1</button>
        <button>Value 2</button>
        <button>Value 3</button>
        <button>Value 4</button>
    </pearson-button-toggle>

    <!--set the 'collapsed' attribute when window is resized-->
    <script>
      const toggle = document.querySelector('pearson-button-toggle')
      window.addEventListener('resize', debounce(collapse, 15));
      window.addEventListener('load', collapse);

      function debounce(func, wait, immediate) {
          var timeout;
          return function() {
              var context = this, args = arguments;
              var later = function() {
                  timeout = null;
                  if (!immediate) func.apply(context, args);
              };
              var callNow = immediate && !timeout;
              clearTimeout(timeout);
              timeout = setTimeout(later, wait);
              if (callNow) func.apply(context, args);
          };
        };

      function collapse(){
          if(window.innerWidth<400){
              toggle.setAttribute('collapsed','');
              toggle.removeEventListener('click',showValue)
              toggle.addEventListener('change',showValue)
          } else {
              toggle.removeAttribute('collapsed');
              toggle.removeEventListener('change',showValue)
              toggle.addEventListener('click',showValue)
          }
      }

      function showValue(){
        console.log(toggle.value)
      }
    </script>


  </body>
</html>
